Subject: Kevin's second byte question

From: Brian E Carpenter <[email-masked]>
Date: Thu, 28 Jul 2011 10:03:13 +1200

The second byte in an IPv4 header is called the Differentiated Services Field.

Quoting RFC 2474:

2.  Terminology Used in This Document
...
   Differentiated Services Field: the IPv4 header TOS octet or the IPv6
   Traffic Class octet when interpreted in conformance with the
   definition given in this document.  Also DS field.

It's a historical accident that the ECN bits were shoehorned into this octet.

-- 
Regards
   Brian Carpenter

---

From: "Thomson, Martin" <[email-masked]>
Date: Thu, 28 Jul 2011 21:10:30 +0800

> The second byte in an IPv4 header is called the Differentiated 

I believe that this has been obsoleted by RFC 5241.

---

From: Kevin Fall <[email-masked]>
Date: Wed, 27 Jul 2011 21:49:42 -0700

Thanks for the quick response.

Here's what my reading revealed, and you can tell me if I'm in error or not...

RFC3260 tells us that the first six bits (not 8) are called the DS Field or Differentiated Services Field, and the subsequent
two bits are referred to as ECN ("ECN field" according to RFC 3168).  Same applies for what was formerly the IPv6 traffic class byte.

That said, RFC 3260 is Informational, yet claims to update standards-track RFCs 2474 and 2597.  I'm not quite sure what sort of status that
leaves us with. [?]

(normally this wouldn't really concern me all that much, but I'm writing some introductory material and want to ensure the proper current terminology is being used.  The thing that caused me to really notice this was RFC 6145... esp section 5.1).

thx,
- K

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 29 Jul 2011 08:57:33 +1200

> That said, RFC 3260 is Informational, yet claims to update standards-track RFCs 2474 and 2597.  I'm not quite sure what sort of status that

It can't. That claim shouldn't have been published IMHO. (And yes, I was co-chair
of the diffserv WG at the time). However, it invokes BCP 37 = RFC 2780
which is normative, so probably supersedes RFC 2474. 2780 doesn't answer your
question though, since it refers to the 6-bit DS field and not to the whole
byte or octet except as "superseded".

I think you will need to add a complicated footnote on this.

> I believe that this has been obsoleted by RFC 5241.

Good one :-)

    Brian

---

From: Scott Brim <[email-masked]>
Date: Thu, 28 Jul 2011 21:52:17 -0400

Brian, I recall some pretty serious agreement almost at the beginning
that it was a diffserv "field", only 6 bits, and that people who were
saying "diffserv byte" were wrong. I also recall some dithering over
whether the other two bits should be declared reserved, but without
conclusion.

On Jul 28, 2011, at 16:58, Brian E Carpenter
<[email-masked]> wrote:

> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 29 Jul 2011 14:06:38 +1200

> whether the other two bits should be declared reserved, but without

Nevertheless, the words in RFC 2474 don't say that. They say that
DS Field refers to the entire octet, including the (then unused)
ECN bits.

We knew ECN was coming when this was published.

    Brian